----------------
Managing Tags
----------------

Move master tag:

`$ git push origin :refs/tags/v13.0.1 && git tag -fa v13.0.1 && git push origin v13.0.1`


Move debian/master tag:

`$ git push origin :refs/tags/v13.0.1.debian && git tag -fa v13.0.1.debian && git push origin v13.0.1.debian`

------------------
Building a Package
------------------

Guide to [setting up schroot](https://wiki.debian.org/Packaging/Pre-Requisites)

1. `cd $SOURCE_DIR`

2. `sudo schroot -c debian-sid`

3. First-time chroot setup:
   `$ apt install git sbuild cmake  devscripts build-essential debhelper help2man libpng-dev liblcms2-dev libtiff-dev libjpeg-dev zlib1g-dev doxygen lintian libimage-exiftool-perl`


4.

```
git archive --format=tar --prefix=libgrokj2k-13.0.1/ v13.0.1 > libgrokj2k_13.0.1.orig.tar
git submodule foreach --recursive 'git archive --format=tar --prefix=$sm_path/ HEAD >> ../libgrokj2k_13.0.1.orig.tar'
gzip libgrokj2k_13.0.1.orig.tar
mv libgrokj2k_13.0.1.orig.tar.gz ..
```


5. `$ dpkg-buildpackage -us -uc`

or, to just check lintian errors:

   `$ dpkg-buildpackage -S`

6. Check for errors / warnings

   `$ lintian -EviIL +pedantic ../*.changes`


--------------------
Other Architectures
--------------------

[Guide](https://www.antixforum.com/forums/topic/use-sbuild-to-automate-deb-package-building/) to
creating chroots for other architectures.

------------------
GPG Key Management
------------------

https://keyring.debian.org/creating-key.html

https://blog.chapagain.com.np/gpg-remove-keys-from-your-public-keyring/

https://www.linuxbabe.com/security/a-practical-guide-to-gpg-part-1-generate-your-keypair

0. run chroot

1. create gpg key

`$ gpg --full-gen-key`

Choose default RSA key, and choose length of 4096 bits

2. upload key to https://mentors.debian.net/accounts/profile/

3. sign `.changes` file

`$ debsign -k 1AF461020856E5791C92AC2CADA8D13D05FC5BB0 ../*.changes`

4. dupload changes file

`$ dput -f mentors ../*.changes`

Note: to list all gpg keys: `$ gpg --list-keys`
